### Function

# GioUnix DesktopAppInfo get_implementations

since: 2.42

#### Declaration [src]

    GList*
    g_desktop_app_info_get_implementations (
      const gchar* interface
    )

#### Description [src]

Gets all applications that implement `interface`.

An application implements an interface if that interface is listed in the `Implements` line of the desktop file of the application.

Available since: 2.42

#### Parameters

`interface`

  Type: `const gchar*`

  The name of the interface.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `GDesktopAppInfo*`

A list of `GDesktopAppInfo` objects.

The caller of the function takes ownership of the data, and is responsible for freeing it.